#
# spec file for package lua-luasec
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define flavor lua51
%define mod_name luasec
Version:        0.6
Release:        lp152.3.5
Summary:        A Lua binding for OpenSSL
License:        MIT
Group:          Productivity/Networking/Other
Url:            https://github.com/brunoos/luasec
Source:         https://github.com/brunoos/luasec/archive/%{mod_name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM build with openssl 1.1.0 (taken from Fedora)
Patch0:         lua-sec-0.6-openssl_110.patch
BuildRequires:  %{flavor}-devel
BuildRequires:  %{flavor}-luasocket
BuildRequires:  libopenssl-devel
Requires:       %{flavor}
Requires:       %{flavor}-luasocket
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
It is a binding for OpenSSL library to provide TLS/SSL communication.
It takes an already established TCP connection and creates a secure
session between the peers.

%prep
%setup -q -n luasec-luasec-%{version}
%patch0 -p1

%build
make %{?_smp_mflags} linux \
  CFLAGS="%{optflags} -fPIC -I%{lua_incdir} -I. -DWITH_LUASOCKET -DLUASOCKET_DEBUG -DLUA_COMPAT_APIINTCASTS"

%install
%make_install LUAPATH=%{lua_noarchdir} LUACPATH=%{lua_archdir}

%files
%doc CHANGELOG LICENSE README.md
%{lua_archdir}/ssl.so
%{lua_noarchdir}/ssl.lua
%{lua_noarchdir}/ssl/

%changelog
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Thu Jul 13 2017 tchvatal@suse.com
- Switch to multibuild slotted approach
- Add dep on lua-luasocket
* Tue Jul 11 2017 tchvatal@suse.com
- Version update to 0.6:
  * compat with lua5.2 and lua5.3
  * bunch of bugfixes
- Fix build with namespaced lua
- Respect optflags
* Sat Sep 17 2016 mailaender@opensuse.org
- update to version 0.5.1
- drop luasec-makefile.patch
* Mon Oct 20 2014 i@marguerite.su
- update version 0.5+git20140911
* Sun Feb 23 2014 i@marguerite.su
- update version 0.5.git20140223
- no longer %%optflags. -fstack-protector doesn't work.
* Fri Jun 28 2013 i@marguerite.su
- use lua51-devel for openSUSE 12.2+.
* Sat Feb 11 2012 toganm@opensuse.org
- Update to 0.4.1
  * SSL options updated --- based on OpenSSL 1.0.0d.
  * Activate SSL_MODE_RELEASE_BUFFERS by default if it is available.
  (thanks Prosody Project)
  * Enabled rpm %%optflags
  * added changes file
